6.0.0-git
2019-04-21

[#11937] Menu items not available from iPad (Others & Cog)
Summary Menu items not available from iPad (Others & Cog)
Queue Horde Groupware Webmail Edition
Queue Version 5.0.2
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester horde (at) agotnes (dot) com
Created 2013-01-06 (2296 days ago)
Due
Updated 2013-07-18 (2103 days ago)
Assigned 2013-01-07 (2295 days ago)
Resolved 2013-07-18 (2103 days ago)
Milestone
Patch No

History
2013-07-18 13:24:21 Jan Schneider Comment #10
State ⇒ Resolved
Reply to this comment
The renderer is still broken as it now displays both the cog wheel 
icon and it's alternate text, but I don't really care.
2013-07-18 13:23:59 Git Commit Comment #9 Reply to this comment
Changes have been made in Git (master):

commit 3bb702b55f2783084ad97a2a8e23e41337d07b59
Author: Jan Schneider <jan@horde.org>
Date:   Thu Jul 18 15:23:01 2013 +0200

     [jan] Make Others and cogwheel menu entry available on iOS (Bug #11937).

  framework/Core/lib/Horde/Core/Topbar.php |    2 +-
  horde/docs/CHANGES                       |    1 +
  horde/js/topbar.js                       |   12 ++++--------
  horde/package.xml                        |    4 ++--
  horde/templates/tree/menu.html.php       |    6 +-----
  horde/themes/default/screen.css          |    5 +++++
  6 files changed, 14 insertions(+), 16 deletions(-)

http://git.horde.org/horde-git/-/commit/3bb702b55f2783084ad97a2a8e23e41337d07b59
2013-03-18 21:28:24 horde (at) agotnes (dot) com Comment #8 Reply to this comment
On iOS Apple will only let you use the WebKit renderer (Safari) 
supplied with iOS - you can't supply your own.

WebKit being the base of both Chrome and Safari I imagine it wasn't 
too hard for Google to release Chrome for iOS by wrappering the WebKit 
rendered supplied by Apple, however, the rendering engine for both 
Safari and Chrome is identical on iOS (only) :)
I have confirmed that this behavior is also present when running the 
Google Chrome browser for IOS. The Other and Cog menu are not 
working so it's not specific just to mobile Safari (or Chrome uses 
something in IOS in common with mobile Safari)
2013-03-14 21:49:28 buy (at) mark (dot) net Comment #7 Reply to this comment
As a short term work around I have created a custom menu item in the 
main menu. this will at least allow my
ipad users to be able to use horde in dynamic mode and have access to 
their preferences. adding the url field
to the preferences array causes the <a /> tag to be inserted via 
templates/tree/menu.html.php (I'm assuming) in any event this works 
for now.

'preferences' => array(
       'name' => _("Preferences"),
       'status' => 'heading',
       'url' => 'https://yoursite.example.com',
     ),

     'gp' => array(
       'fileroot' => '/tmp',
       'name' => _("Global Preferences"),
       'status' => 'active',
       'menu_parent' => 'preferences',
       'url' => 'http://yoursite.example.com/services/prefs.php?app=horde',
       'icon' => ''
   )

...
2013-03-14 20:20:58 buy (at) mark (dot) net Comment #6 Reply to this comment
I added a dummy href to the Other menu entry like so

<div class="horde-point-center">
           <a class="horde-mainnavi" href="">
               <span class="horde-point-arrow">&#9662;</span>
               Others
            </a>
  </div>

And the menu Item is then accessible from Iphone/Ipad

I unfortunately have no idea where the code to generate the html for 
the menu resides in horde. I simply copied the html from one of the 
horde pages and made the addition above to see if it would work. Maybe 
this will help one of the Devs work around the mobile safari 
weirdness. Or if someone can tell me where to start looking in the 
source for how to fix the rendering myself I'll try that as well.
2013-03-14 16:19:20 buy (at) mark (dot) net Comment #5 Reply to this comment
I have confirmed that this behavior is also present when running the 
Google Chrome browser for IOS. The Other and Cog menu are not working 
so it's not specific just to mobile Safari (or Chrome uses something 
in IOS in common with mobile Safari)
2013-01-12 23:56:29 horde (at) agotnes (dot) com Comment #4 Reply to this comment
And (sorry for the spam) a rather relevant snippet;

Just checked - if I set the login mode manually to 'Dynamic' on the 
iPhone the issue manifests there in the exact same manner as on the 
iPad, so with regards to testing / verifying without an iPad an iPhone 
definitely works - I assume that an iPod Touch with a recent iOS 
version (I run the latest on both pad and phone) will do the same.
2013-01-12 23:50:09 horde (at) agotnes (dot) com Comment #3 Reply to this comment
Further digging confirmed this;

Modified horde/config/registry.php for the 'others' entry as follows;

Changed 'status' to 'active' rather than 'heading'
Added an 'others-menu' block which just pointed at 'nag' for testing

The menu item is now accessible from the iPad, the drop-down works 
correctly and also selecting the item takes me to 'nag' as expected.

So the 'heading' setting generates HTML which the iPad doesn't like, 
i.e. the missing <a> tag or an issue with the <span> tag. Not sure 
which.

That probably takes it to the end of my web-dev skills - I'm not sure 
what the options are for changing the 'header' HTML generated whilst 
retaining the intent of it...

2013-01-07 04:39:05 Michael Slusarz Assigned to Jan Schneider
State ⇒ Assigned
 
2013-01-07 01:28:42 horde (at) agotnes (dot) com Comment #2 Reply to this comment
Bit of digging into what is different, seems there is an <a> tag 
missing (by design) from the 'Others' and 'Cog' icons as they don't 
implement an app which can be linked to directly.

In the Elements browser under the horde-navipoint Div;
<div horde-dropdown>
   <li>
     <div horde-point-center>
       <a horde-mainnavi>     <----- missing for Others and Cog, 
definitely there for Notes and Mail and Calendar

Tried to add an 'app' entry in Registry.php for Others, didn't seem to 
generate an <a> tag, more digging required, hints welcome ;)

Also tried to remove a couple of menu items from the topbar by 
uncommenting them from registry.php to see whether this would help, 
i.e. one can only have so many menu items on an iPad - made no 
difference.


2013-01-06 03:48:21 horde (at) agotnes (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Menu items not available from iPad (Others & Cog)
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
Reply to this comment
When I log in to webmail/the Horde portal from my iPad running iOS 6.0 
(Dynamic view)
I can't get to the 'Others' and the 'Cog icon' menu items off the menu
bar at the top of the web page, they simply do not seem to be
clickable items like the other menu items are.

From other web-browsers (Safari/Chrome on Mac, IE on Windows) these 
work fine. It also works fine if I set the user agent to imitate an 
iPad from Safari on OSX.

This stops me from getting to the Horde config from the iPad.

I raised this on the Dev list and have been requested to debug as devs 
don't have access to iPads, this defect is raised to track the issue 
and possible patches I may come up with.

Saved Queries